### Method

# Ide ToolchainProvider emit_added

#### Declaration

    void
    ide_toolchain_provider_emit_added (
      IdeToolchainProvider* self,
      IdeToolchain* toolchain
    )

#### Description

`IdeToolchainProvider` implementations should call this function with a `toolchain` when it has discovered a new toolchain.

Available since: | 3.32

#### Parameters

`toolchain` | `IdeToolchain`
| An `IdeToolchain`.
| The data is owned by the caller of the function.